### Method

# GLib Date subtract_years

#### Declaration [src]

    void
    g_date_subtract_years (
      GDate* date,
      guint n_years
    )

#### Description [src]

Moves a date some number of years into the past. If the current day doesn’t exist in the destination year (i.e. it’s February 29 and you move to a non-leap-year) then the day is changed to February 29. The date must be valid.

#### Parameters

`n_years`

  Type: `guint`

  Number of years to move.